Page MenuHome

Cycles: remove extended precision hacks, no longer needed with SSE2 requirement.
ClosedPublic

Authored by Brecht Van Lommel (brecht) on Jul 4 2016, 5:28 PM.

Details

Summary

I don't think we need this anymore. We now require SSE2 minimum for Blender, and always use -mfpmath=sse on x86. On other architectures such as ARM there is no 80 bit extended precision.

This was originally introduced in T29301.

Diff Detail

Repository
rB Blender

Event Timeline

Brecht Van Lommel (brecht) retitled this revision from to Cycles: remove extended precision hacks, no longer needed with SSE2 requirement..
Brecht Van Lommel (brecht) updated this object.
This revision is now accepted and ready to land.Jul 4 2016, 5:30 PM
This revision was automatically updated to reflect the committed changes.